<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 id="messages-by-period" superservice="syslog">

 <lire:title>Messages by Period Syslog Report </lire:title>

 <lire:description>
  <para>This report specification will generate a report showing the
   number of messages logged by configurable time period.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1h">
   <lire:description>
    <para>The period used to aggregate the events.</para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Number of Messages Logged by $period Period</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period" label="Period">

   <lire:count name="msg_count" label="Messages"/>
   <lire:count name="msg_ratio" ratio="table" label="% Total"/>
  </lire:timegroup>
</lire:report-calc-spec>

</lire:report-spec>
